#  *******************************************************************************
#  Copyright (c) 2019 Contributors to the Eclipse Foundation
#
#  See the NOTICE file(s) distributed with this work for additional
#  information regarding copyright ownership.
#
#  This program and the accompanying materials are made available under the
#  terms of the Eclipse Public License v. 2.0 which is available at
#  http://www.eclipse.org/legal/epl-2.0.
#
#  SPDX-License-Identifier: EPL-2.0
#  *******************************************************************************
spring:
  rabbitmq:
    host: entdockergss
    port: 5672
    username: ${GFI_RABBITMQ_USERNAME}
    password: ${GFI_RABBITMQ_PASSWORD}

    # Importkanal
    importExchange: sitImportExchange
    importQueue: sitImportQueue
    importkey: sitImportExchange.failureImportKey
  main:
    allow-bean-definition-overriding: true

  level:
    root: INFO
    org.eclipse.openk: INFO
    org.springframework.web: ERROR

server:
  port: 9196
  max-http-request-header-size: 262144

feign:
  client:
    config:
      default:
        connectTimeout: 60000
        readTimeout: 60000

saris:
  apiUrl: https://twh.ewe.de/sariskon/sariskon/services/Stoerungenservice.asmx
  user: ${GFI_SARIS_USERNAME}
  password: ${GFI_SARIS_PASSWORD}
  bisToleranz: 1440
  vonToleranz: 1440
  scheduling-import:
    enabled: false
    cron: 0 */15 * ? * *
  testIntegration:
    day: 11
    month: 2
    year: 2020

gridFailureInformation:
  autopublish: false
  onceOnlyImport: false
  excludeEquals: true
  excludeAlreadyEdited: true

security.endpoint:
  user: ${GFI_MANUAL_ENDPOINTS_USERNAME}
  password: ${GFI_MANUAL_ENDPOINTS_PASSWORD}

---

spring:
  config:
    activate:
      on-profile: test

saris:
  apiUrl: https://apiTestUrl
  user: userName
  password: secPwd
  scheduling-import:
    enabled: true
    cron: 0 */15 * ? * *

security.endpoint:
  user: userName
  password: secPwd
---

spring:
  config:
    activate:
      on-profile: devserver

logging:
  level:
    root: INFO
    org.eclipse.openk: DEBUG
    org.springframework.web: ERROR

server:
  port: 9196

---

spring:
  config:
    activate:
      on-profile: devserver-unsecure

logging:
  level:
    root: INFO
    org.eclipse.openk: DEBUG
    org.springframework.web: ERROR

server:
  port: 9197

---

spring:
  config:
    activate:
      on-profile: devserver-branch
  rabbitmq:
    # Importkanal
    importExchange: sitImportExchange_branch
    importQueue: sitImportQueue_branch
    importkey: sitImportExchange.failureImportKey

---

spring:
  config:
    activate:
      on-profile: qserver
  rabbitmq:
    host: localhost
    port: 5672
    username: ${GFI_RABBITMQ_USERNAME}
    password: ${GFI_RABBITMQ_PASSWORD}

    # Importkanal
    importExchange: sitImportExchange
    importQueue: sitImportQueue
    importkey: sitImportExchange.failureImportKey

logging:
  level:
    root: INFO
    org.eclipse.openk: DEBUG
    org.springframework.web: TRACE
    org.springframework.ws: TRACE

server:
  port: 9196
  servlet:
    session:
      tracking-modes: cookie
  max-http-request-header-size: 262144

swagger:
  baseUrl: /
